package org.codehaus.xfire.aegis.mapping;

import java.util.Collection;

import org.codehaus.xfire.aegis.type.Type;
import org.dom4j.QName;

/**
 * Registers Aegis types with a QName.  The namespace of the QName
 * will be something like the default namespace of your service or the 
 * SOAP envelope namespace.
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public interface TypeRegistry
{
	final public static String ROLE = TypeRegistry.class.getName();

    public void register(QName typeQ, Class typeClass);

    public Class getTypeClass(QName typeQ);

    public Type createType(QName typeQ);

    public Class unregisterType(QName typeQ);

    public Collection getAllTypes();
}
